Subject: bug#6885: closed (Re: bug#6885: Error message when saving a file)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Aug 2010 18:54:01 +0000

Your bug report

#6885: Error message when saving a file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6885: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6885
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6885: Error message when saving a file
From: Juanma Barranquero <[email-masked]>
To: luigi di lella <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Aug 2010 20:54:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Aug 19, 2010 at 17:01, luigi di lella <[email-masked]> wrote:

> ** (emacs:1973): CRITICAL **: murrine_style_draw_box: assertion `height >=
> -1' failed
>
> However, everything seems to be OK, the file is saved correctly.
> Nevertheless, it makes me nervous.
>
> Could I know what it means and what should I do to suppress this message?

This is not a bug in Emacs, but GTK+. See thread for bugs #6633 and
#6798, and bug report at
https://bugzilla.gnome.org/show_bug.cgi?id=617442

A workaround to suppress the message has been committed to the trunk
and will be in Emacs 24.

    Juanma

Subject: Error message when saving a file
From: luigi di lella <[email-masked]>
To: <[email-masked]>
Date: Thu, 19 Aug 2010 17:01:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Good morning.

I am using Linux. Whenever I save a file I get the following error 
message on the window which I used to open emacs:

** (emacs:1973): CRITICAL **: murrine_style_draw_box: assertion `height 
 >= -1' failed

However, everything seems to be OK, the file is saved correctly. 
Nevertheless, it makes me nervous.

Could I know what it means and what should I do to suppress this message?

Thanks. Regards,

Luigi DiLella / CERN, Geneva, Switzerland